org.jfree.chart.block

## Class ColumnArrangement

- java.lang.Object
- - org.jfree.chart.block.ColumnArrangement

All Implemented Interfaces:
  java.io.Serializable, Arrangement

    public class ColumnArrangement
    extends java.lang.Object
    implements Arrangement, java.io.Serializable

Arranges blocks in a column layout. This class is immutable.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`ColumnArrangement()` Creates a new instance.
`ColumnArrangement(org.jfree.ui.HorizontalAlignment hAlign, org.jfree.ui.VerticalAlignment vAlign, double hGap, double vGap)` Creates a new instance.

### Method Summary

Methods
`void` `add(Block block, java.lang.Object key)` Adds a block to be managed by this instance.
`org.jfree.ui.Size2D` `arrange(BlockContainer container, java.awt.Graphics2D g2, RectangleConstraint constraint)` Calculates and sets the bounds of all the items in the specified container, subject to the given constraint.
`protected org.jfree.ui.Size2D` `arrangeFF(BlockContainer container, java.awt.Graphics2D g2, RectangleConstraint constraint)` Calculates and sets the bounds of all the items in the specified container, subject to the given constraint.
`protected org.jfree.ui.Size2D` `arrangeNF(BlockContainer container, java.awt.Graphics2D g2, RectangleConstraint constraint)` Calculates and sets the bounds of all the items in the specified container, subject to the given constraint.
`protected org.jfree.ui.Size2D` `arrangeNN(BlockContainer container, java.awt.Graphics2D g2)` Arranges the blocks without any constraints.
`protected org.jfree.ui.Size2D` `arrangeRF(BlockContainer container, java.awt.Graphics2D g2, RectangleConstraint constraint)` Arranges the blocks in the container using a fixed height and a range for the width.
`protected org.jfree.ui.Size2D` `arrangeRR(BlockContainer container, java.awt.Graphics2D g2, RectangleConstraint constraint)` Arranges a container with range constraints for both the horizontal and vertical.
`void` `clear()` Clears any cached information.
`boolean` `equals(java.lang.Object obj)` Tests this instance for equality with an arbitrary object.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ColumnArrangement

    public ColumnArrangement()

Creates a new instance.

#### ColumnArrangement

    public ColumnArrangement(org.jfree.ui.HorizontalAlignment hAlign,
                     org.jfree.ui.VerticalAlignment vAlign,
                     double hGap,
                     double vGap)

Creates a new instance.

Parameters:
  `hAlign` - the horizontal alignment (currently ignored).
  `vAlign` - the vertical alignment (currently ignored).
  `hGap` - the horizontal gap.
  `vGap` - the vertical gap.

### Method Detail

#### add

    public void add(Block block,
           java.lang.Object key)

Adds a block to be managed by this instance. This method is usually called by the `BlockContainer`, you shouldn't need to call it directly.

Specified by:
  `add` in interface `Arrangement`
Parameters:
  `block` - the block.
  `key` - a key that controls the position of the block.

#### arrange

    public org.jfree.ui.Size2D arrange(BlockContainer container,
                              java.awt.Graphics2D g2,
                              RectangleConstraint constraint)

Calculates and sets the bounds of all the items in the specified container, subject to the given constraint. The `Graphics2D` can be used by some items (particularly items containing text) to calculate sizing parameters.

Specified by:
  `arrange` in interface `Arrangement`
Parameters:
  `container` - the container whose items are being arranged.
  `g2` - the graphics device.
  `constraint` - the size constraint.
Returns:
  The size of the container after arrangement of the contents.

#### arrangeFF

    protected org.jfree.ui.Size2D arrangeFF(BlockContainer container,
                                java.awt.Graphics2D g2,
                                RectangleConstraint constraint)

Calculates and sets the bounds of all the items in the specified container, subject to the given constraint. The `Graphics2D` can be used by some items (particularly items containing text) to calculate sizing parameters.

Parameters:
  `container` - the container whose items are being arranged.
  `g2` - the graphics device.
  `constraint` - the size constraint.
Returns:
  The container size after the arrangement.

#### arrangeNF

    protected org.jfree.ui.Size2D arrangeNF(BlockContainer container,
                                java.awt.Graphics2D g2,
                                RectangleConstraint constraint)

Calculates and sets the bounds of all the items in the specified container, subject to the given constraint. The `Graphics2D` can be used by some items (particularly items containing text) to calculate sizing parameters.

Parameters:
  `container` - the container whose items are being arranged.
  `constraint` - the size constraint.
  `g2` - the graphics device.
Returns:
  The container size after the arrangement.

#### arrangeRR

    protected org.jfree.ui.Size2D arrangeRR(BlockContainer container,
                                java.awt.Graphics2D g2,
                                RectangleConstraint constraint)

Arranges a container with range constraints for both the horizontal and vertical.

Parameters:
  `container` - the container.
  `g2` - the graphics device.
  `constraint` - the constraint.
Returns:
  The size of the container.

#### arrangeRF

    protected org.jfree.ui.Size2D arrangeRF(BlockContainer container,
                                java.awt.Graphics2D g2,
                                RectangleConstraint constraint)

Arranges the blocks in the container using a fixed height and a range for the width.

Parameters:
  `container` - the container.
  `g2` - the graphics device.
  `constraint` - the constraint.
Returns:
  The size of the container after arrangement.

#### arrangeNN

    protected org.jfree.ui.Size2D arrangeNN(BlockContainer container,
                                java.awt.Graphics2D g2)

Arranges the blocks without any constraints. This puts all blocks into a single column.

Parameters:
  `container` - the container.
  `g2` - the graphics device.
Returns:
  The size after the arrangement.

#### clear

    public void clear()

Clears any cached information.

Specified by:
  `clear` in interface `Arrangement`

#### equals

    public boolean equals(java.lang.Object obj)

Tests this instance for equality with an arbitrary object.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `obj` - the object (`null` permitted).
Returns:
  A boolean.